package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

public class TeacherServeHomeworkPojo {

    private String subjectName;

    private Integer memberNum;

    private String classGroupName;

    private String courseScheduleType;

    private Long courseScheduleId;

    private Integer studentNum;

    private String classDate;

    private String startClassTime;

    private String endClassTime;

    private String teachMode;

    private Integer signInStatus;

    private Integer signOutStatus;

    @ApiModelProperty(value = "是否是第一次进行学生点名")
    private int studentAttendanceIsFirstTime;

    public int getStudentAttendanceIsFirstTime() {
        return studentAttendanceIsFirstTime;
    }

    public void setStudentAttendanceIsFirstTime(int studentAttendanceIsFirstTime) {
        this.studentAttendanceIsFirstTime = studentAttendanceIsFirstTime;
    }

    public Integer getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(Integer signInStatus) {
        this.signInStatus = signInStatus;
    }

    public Integer getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(Integer signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(Integer memberNum) {
        this.memberNum = memberNum;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }
}
